<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Modules\Announcement\Entities\Announcement;
use Modules\Announcement\Entities\Device;
use Modules\Event\Entities\Event;
use Modules\Event\Entities\EventPhoto;
use Modules\Event\Entities\EventSchedule;
use Modules\Feedback\Entities\Feedback;
use Modules\Participant\Entities\Participant;
use Modules\Speaker\Entities\Speaker;

class FakerSeeder extends Seeder
{
    public function __construct()
    {
        //
    }

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Device::factory(20)->createQuietly();
        Announcement::factory(20)->devices()->createQuietly();
        Speaker::factory(20)->createQuietly();

        Event::factory(30)
            ->relationships()
            ->createQuietly();
    }
}
